org.apache.kylin.jdbc.stub

## Class ConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.kylin.jdbc.stub.ConnectionException

All Implemented Interfaces:
  Serializable

    public class ConnectionException
    extends Exception

Author:
  xduo
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConnectionException()`
`ConnectionException(String message)`
`ConnectionException(String message, Throwable cause)`
`ConnectionException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionException

    public ConnectionException()

#### ConnectionException

    public ConnectionException(String message,
                       Throwable cause)

Parameters:
  `message` -
  `cause` -

#### ConnectionException

    public ConnectionException(String message)

Parameters:
  `message` -

#### ConnectionException

    public ConnectionException(Throwable cause)

Parameters:
  `cause` -